#
# This file is part of the SavaPage project <https://www.savapage.org>.
# Copyright (c) 2011-2020 Datraverse B.V.
# Author: Rijk Ravestein.
#
# SPDX-FileCopyrightText: 2011-2020 Datraverse B.V. <info@datraverse.com>
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
# For more information, please contact Datraverse B.V. at this
# address: info@datraverse.com
#

#-------------------------------------------------------------
# Do not complain about missing font, and use default font.
#-------------------------------------------------------------
net.sf.jasperreports.awt.ignore.missing.font=true

#-------------------------------------------------------------
# Suppress pageFooter for CSV reports.
#-------------------------------------------------------------
net.sf.jasperreports.export.csv.exclude.origin.band.2=pageFooter

# Since JRParameter.IS_IGNORE_PAGINATION in used in Java for CSV reports,
# net.sf.jasperreports.export.csv.* below are obsolete. For the record...

#net.sf.jasperreports.export.csv.exclude.origin.keep.first.band.1=pageHeader
#net.sf.jasperreports.export.csv.exclude.origin.keep.first.band.1=columnHeader
#net.sf.jasperreports.export.csv.exclude.origin.keep.first.report.3=*
#net.sf.jasperreports.export.csv.exclude.origin.band.4=columnFooter

# end-of-file
